#include "checkupthread"

void Checkupthread::execute() {

    Threadlist::desc("Checkup thread");
    
    while (1) {
	if (config.checkupsec()) {
	    for (unsigned i = 0; i < balancer.nbackends(); i++) {
		Backend target(balancer.backend(i).backenddef());
		target.check();
		if (! balancer.backend(i).live() &&
		    target.live() ) {
		    balancer.backend(i).live(true);
		    msg ("Checkup call: backend " + target.description() +
			 " has awoken\n");
		} else if (balancer.backend(i).live() &&
			   ! target.live()) {
		    balancer.backend(i).live(false);
		    msg ("Checkup call: backend " + target.description() +
			 " has gone asleep\n");
		}
	    }
	    sleep (config.checkupsec());
	} else
	    sleep(30);
    }
}
	
