#include "thread"

void *Thread::_run (void *data) {
    Thread *t = (Thread*) data;

    Threadlist::enregister();    
    try {
	t->execute();
    } catch (Error const &e) {
	lock(&cerr);
	cerr << e.what() << "\n";
	unlock(&cerr);
    }
    Threadlist::deregister();

    // Cleanups
    delete (t);

    // To satisfy the prototype
    return (0);
}

