#include "httpbuffer"

string Httpbuffer::headerval (string var) {
    PROFILE("Httpbuffer::headerval");
    
    string ret;
    
    if (!headersreceived())
	return ("");
    
    if (var[var.size() - 1] != ':')
	var += ":";

    unsigned int start;
    if ( (!(start = strfind(var.c_str()))) ||
	 (start >= bodystart) )
	return ("");

    start += var.size();
    for (char ch = charat(start); ch && isspace(ch); ch = charat(++start))
	;
    for (char ch = charat(start); ch && ch != '\r' && ch != '\n';
	 ch = charat(++start))
	ret += ch;

    debugmsg ("Header " + var + " '" + ret + "'\n");
    return (ret);
}
