#include "firstactive"

unsigned Firstactive::target(struct in_addr clientip,
			     BackendVector const &targetlist) {
    if ( targetlist.size() == 0 ||
	 ! balancer.backend(targetlist[0]).available() )
	throw static_cast<Error>("First-active algorithm: "
				 "no available back ends");
    return (targetlist[0]);
}
    
