#include "balancer"

void Balancer::addbackend (Backend const &b,
			   bool is_up, bool is_live, bool do_check) {
    Mutex::lock(&backends);
    backends.push_back (b);
    Mutex::unlock(&backends);
    
    backends[backends.size() - 1].up(is_up);
    backends[backends.size() - 1].live(is_live);

    if (do_check)
	backends[backends.size() - 1].check();    
}
