#include "balancer"

void Balancer::deletebackend(unsigned i) {
    if (backend(i).up())
	throw static_cast<Error>("Only 'down' back ends can be deleted.");
    if (backend(i).connections())
	throw static_cast<Error>("Back end cannot be deleted, there are still ")
	    + backend(i).connections() + " connections";


    Mutex::lock(&backends);
    backends.erase(backends.begin() + i,
		   backends.begin() + i + 1);
    Mutex::unlock(&backends);
}
