#include "config"

void Config::setwebinterface (string str) {
    vector<string> parts = str2parts (str, ':');
    if (parts.size() != 2)
	throw static_cast<Error>("Bad webinterface specifier in '-W") +
	    str + "', expected: IP:PORT";

    use_webinterface = true;
    webinterface_ip = parts[0];
    webinterface_port = setinteger(parts[1]);
}
